NODEUNIT(1)

NAME
nodeunit -- simple node.js unit testing tool

SYNOPSIS
nodeunit [options] <file-or-directory> [<file-or-directory> ...]

DESCRIPTION
Nodeunit is a simple unit testing tool based on the node.js assert module.

•   Simple to use

•   Just export the tests from a module

•   Helps you avoid common pitfalls when testing asynchronous code

•   Easy to add test cases with setUp and tearDown functions if you wish

•   Allows the use of mocks and stubs

OPTIONS
  --config FILE:
      Load config options from a JSON file, allows the customisation
      of color schemes for the default test reporter etc.
      See bin/nodeunit.json for current available options.

  --reporter FILE:
      You can set the test reporter to a custom module or on of the modules
      in nodeunit/lib/reporters, when omitted, the default test runner is used.

  --list-reporters:
      List available build-in reporters.

  -h, --help:
      Display the help and exit.

  -v, --version:
      Output version information and exit.

  <file-or-directory>:
      You can run nodeunit on specific files or on all *.js files inside
      a directory.

AUTHORS
Written by Caolan McMahon and other nodeunit contributors.
Contributors list: http://github.com/caolan/nodeunit/contributors.

REPORTING BUGS
Report nodeunit bugs to http://github.com/caolan/nodeunit/issues.

COPYRIGHT
Copyright © 2010 Caolan McMahon.
Nodeunit has been released under the MIT license:
http://github.com/caolan/nodeunit/raw/master/LICENSE.

SEE ALSO
node(1)